The Yaf_Route_Static class

- « Yaf_Route_Simple::route

- Yaf_Route_Static::assemble »

- PHP Manual
- Yaf
- The Yaf_Route_Static class

# The Yaf_Route_Static class

(Yaf >=1.0.0)

## Introduction

Defaultly, Yaf_Router only have a Yaf_Route_Static as its default route.

And Yaf_Route_Static is designed to handle the 80% requirement.

please *NOTE* that it is unnecessary to instance a Yaf_Route_Static, also unecesary to add it into Yaf_Router's routes stack, since there is always be one in Yaf_Router's routes stack, and always be called at the last time.

## Class synopsis

class Yaf_Route_Static implements Yaf_Router {
/* Methods */
public assemble(array `$info`, array `$query` = ?): string
public match(string `$uri`): void
public route(Yaf_Request_Abstract `$request`): bool
}

## Table of Contents

- Yaf_Route_Static::assemble — Assemble a url
- Yaf_Route_Static::match — The match purpose
- Yaf_Route_Static::route — Route a request